Subject: Re: Approval process for news/events/training is broken

From: "Magnus Hagander" <[email-masked]>
Date: Tue, 16 Oct 2007 07:43:20 +0200

> >>> The real question is, "is it proprietary". If it is even partially
> >>> closed source then it really doesn't belong in the "postgresql family
> >>> product" unless we also include MPP and Replicator.
> >> You know what I mean :-). And all of EDB-Postgres is open source,
> >> including the funky little MySQL migrator tool in the latest builds.
> > 
> > Uh, doesn't the installer use a commercial product that isn't open
> > source?  Does requiring non-open source tools to build something make it
> > non-open source?  Postgres requires a C compiler that can be open or
> > closed source so I don't know if that helps clarify things.
> 
> I don't think any of this is relevant for the News page.  The question 
> is, will the person sending me the press release be a paid PR person, or 
> an OSS developer?  We treat the two differently because they're going to 
> send us different sorts of news at different intervals.
> 
> For example, I would treat EDB-Postgres as "commercial" because they 
> send us formal press releases every 3 weeks, which often need 
> significant re-writing to target our developers.  On the other hand, if 
> we get anything from OpenRPT it's just a release announcement, maybe 
> once a year, so we can treat them like an "PostgreSQL Family" OSS project.
> 
> So it's not commercial vs. open source *product*, it's commercial vs. 
> open source *news*.

That makes sense. But that needs to be clear in the policy, since it seems we all got it wrong :-)

(maybe now they'll have Dave write the news submissions instead. He'l hate you forever :-P)

/Magnus

---

From: Josh Berkus <[email-masked]>
Date: Tue, 16 Oct 2007 08:21:34 -0700

Folks,

> That makes sense. But that needs to be clear in the policy, since it seems

I will point out that this is on a wiki, people.  One to which all of the 
folks on this thread have write access.

-- 
Josh Berkus
PostgreSQL @ Sun
San Francisco